.modal {
    height: 100vh;
    width: 100vw;
    background-color: rgba(0, 0, 0, 0.4);
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: 0.5s;
    pointer-events: none;
    

    &.active{
        opacity: 1;
        pointer-events: all;
    }

    &__window {
        padding: 30px 20px;
        border-radius: 12px;
        background-color: #fff;
        position: relative;
        width: 50vw;
        transform: scale(0.5);
        transition: 0.4s all;
    }
    &__window.active {
        transform: scale(1);
    }

    &__close {
        position: absolute;
        right: 15px;
        top: 15px;
        width: 21px;
        height: 21px;
        opacity: 0.3;
        content: '';
        transition: 0.5s;
    }

    &__close:hover {
        opacity: 1;
        }

    &__close:before,
    &__close:after {
        position: absolute;
        left: 10px;
        content: " ";
        height: 20px;
        width: 2px;
        background-color: #333;
    }
    &__close:before {
        transform: rotate(45deg);
    }
    &__close:after {
        transform: rotate(-45deg);
    }
  
}
